.#{$prefix}-c-props {
  margin-bottom: 30px;

  &__tableHeaders {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    .#{$prefix}-u-theme--dark & {
      @include mq('desktop') {
        border-bottom: 1px solid $palette--pickled-bluewood;
      }
    }

    .#{$prefix}-u-theme--light & {
      @include mq('desktop') {
        border-bottom: 1px solid $palette--mischka;
      }
    }

    @include mq('desktop') {
      width: calc(100% + 20px);
      padding: 0 10px;
      margin-bottom: 10px;
      margin-left: -10px;
    }
  }

  &__tableHeader {
    flex-basis: 100%;
    padding-bottom: 5px;
    margin-bottom: 5px;
    font-size: 14px;
    font-weight: 600;

    &:not(:last-child) {
      @include mq('desktop') {
        margin-right: 30px;
      }
    }

    .#{$prefix}-u-theme--dark & {
      border-bottom: 1px solid $palette--pickled-bluewood;

      @include mq('desktop') {
        border-bottom: 0;
      }
    }

    .#{$prefix}-u-theme--light & {
      border-bottom: 1px solid $palette--mischka;

      @include mq('desktop') {
        border-bottom: 0;
      }
    }
  }

  &__tableEntry {
    width: calc(100% + 20px);
    padding: 10px;
    margin-left: -10px;

    &:not(:last-child) {
      margin-bottom: 10px;

      @include mq('desktop') {
        margin-bottom: 5px;
      }
    }

    .#{$prefix}-u-theme--dark & {
      background-color: rgba($palette--pickled-bluewood, 0.4);
    }

    .#{$prefix}-u-theme--light & {
      background-color: rgba($palette--mischka, 0.3);
    }

    @include mq('desktop') {
      display: flex;
      flex-direction: row;
      align-items: flex-start;
      justify-content: space-between;
      padding: 20px 10px;
    }
  }

  &__tableEntryColumn {
    flex-basis: 100%;
    font-size: 0;

    &:not(:last-child) {
      margin-bottom: 10px;

      @include mq('desktop') {
        margin-right: 30px;
        margin-bottom: 0;
      }
    }
  }

  &__tableEntryValue {
    font-size: 14px;
    overflow-wrap: anywhere;

    &:not(:last-child) {
      margin-right: 5px;
    }

    &--highlight {
      font-weight: 600;

      .#{$prefix}-u-theme--dark & {
        color: $palette--cerulean;
      }

      .#{$prefix}-u-theme--light & {
        color: $palette--blue-ribbon;
      }
    }

    &--mono {
      display: inline-block;
      padding: 3px 5px 4px;
      margin-top: 3px;
      margin-bottom: 5px;
      border-radius: 3px;
      font-family: $type--mono;
      font-size: 12px;

      .#{$prefix}-u-theme--dark & {
        background-color: $palette--pickled-bluewood;
      }

      .#{$prefix}-u-theme--light & {
        background-color: $palette--mischka;
      }

      @include mq('desktop') {
        margin-top: 0;
      }
    }
  }

  &--width {
    &-100 {
      flex-grow: 1;
    }

    &-75 {
      flex-grow: 0.75;
    }

    &-50 {
      flex-grow: 0.5;
    }

    &-25 {
      flex-grow: 0.25;
    }
  }
}
